#include <tads.h>

/*
 * An XTads test game.
 * Focus is on abs vert horiz. text banner w/ border and/or scroll bar(s).
 */
main(args)
{
	local b0 = nil;

    "A banner test game for XTads.\b";
    "b1 (child of b0) is a vertical text banner right of b0, abs sized to 10 chars. ";

    local b1 = bannerCreate(b0, BannerFirst, nil, BannerTypeText, BannerAlignRight,
                       10, BannerSizeAbsolute,
                       BannerStyleBorder|BannerStyleVScroll);
    bannerSay(b1, '0000000000');
    "\bPress a key to continue...\b";
    inputKey();
    
    bannerSizeToContents(b1);
    "b1 should still be wide enough for 10 0's";
    "\bPress a key to continue...";
    inputKey();

    "\bPress another key to exit...\n";
    inputKey();
}
